
float4x4 colormatrix;

struct VS_DEFAULT_OUTPUT
{
    float4 position: POSITION;
    float2 texture_coord: TEXCOORD0;
    float4 color: COLOR0;
};

float4 main(VS_DEFAULT_OUTPUT Out, uniform sampler2D u_texture) : COLOR
{
	return mul(colormatrix, tex2D(u_texture, Out.texture_coord)* Out.color);
}